RXSTACK(1)

NAME
rxstack - The Regina Rexx Interpreter stack daemon

SYNOPSIS
rxstack [-h, --help] [-D, --debug] [-d, --daemon] [-k, --kill] [-p num, --port num] [-w, --world]

DESCRIPTION
rxstack is a daemon that provides access to Regian Rexx external queues directly to Regina Rexx programs or indirectly (via rxqueue) to any other program via stdin and stdout.

Without any options, rxstack runs in the foreground.

OPTIONS

-h, --help
    Displays short help.

-D, --debug
    Turns debugging on

-d, --daemon
    Starts rxstack as a daemon

-k, --kill
    Kills the running rxstack process

-p, --port num
    Specify the port on which rxstack listens. Overwrites the RXSTACK environment variable. Default is 5757.

-w, --world
    Accept connections from anywhere. By default rxstack only allows connections from the localhost.

ENVIRONMENT
rxstack uses the following environment variables if set.

RXDEBUG
    Enables debugging. Same as specifying -D or --debug option.

RXSTACK
    The port number on which rxstack listens. By default this is 5757. Same as specifying -p or --port option.

RXQUEUE
    The name of the default queue to be used if not specified by the client. By default this is SESSION.

COPYRIGHT
The Regina Rexx interpreter is distributed under the GNU Library General Public License, see the file `COPYING-LIB' in the source code distribution.

AUTHOR
Anders Christensen, University of Trondheim, Norway <anders (at) pvv.unit.no>.

MAINTAINER
Changes to Regina since 0.07a, Mark Hessling <mark (at) rexx.org> with significant assistance from Florian Grosse-Coosmann.

SEE ALSO
rxqueue(1) There are several good reference books on Rexx. The most famous is "The Rexx Language" by Mike Cowlishaw. Visit http://www.rexxla.org (The Rexx Language Association) for any Rexx related information.